Subject: Re: [PATCH v3 4/7] sound/radeon: Add quirk for broken 64-bit MSI

From: Takashi Iwai <[email-masked]>
Date: Wed, 08 Oct 2014 08:59:40 +0200

At Wed, 08 Oct 2014 16:28:16 +1100,
Benjamin Herrenschmidt wrote:
> 
> On Tue, 2014-10-07 at 19:47 -0400, Alex Deucher wrote:
> > > This moves the setting of the quirk flag to the audio driver.
> > >
> > > While recent ASICs have that problem fixed, they don't seem to
> > > be listed in the PCI IDs of the current driver, so let's quirk all
> > > the ATI HDMI for now. The consequences are nil on x86 anyway.
> > >
> > > Signed-off-by: Alex Deucher <[email-masked]>
> > > Signed-off-by: Benjamin Herrenschmidt <[email-masked]>
> > > CC: <[email-masked]>
> > 
> > Further discussion with the hw teams have revealed that this is still
> > an issue on newer asics so I think your original patch is correct
> > after all.  Just disable 64 bit MSIs on all AMD audio PCI ids.
> 
> Allright, I won't resend the whole series, I can just pickup my previous
> patch. Takashi, Bjorn, Dave, this series covers your 3 areas of
> maintainership, how do you want to proceed ? I'm happy to merge the
> whole lot via powerpc ASAP (since it's all CC'ed stable) if you guys
> send me the appropriate acks, otherwise, let me know.

Feel free to merge through your tree.
  Reviewed-by: Takashi Iwai <[email-masked]>

thanks,

Takashi